Bug 98861 - Kernel Oplock errors with compiled version of Samba 2.2.8a
Kernel Oplock errors with compiled version of Samba 2.2.8a
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 12:51 EDT by Carmine Granucci
Modified: 2014-08-31 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:58:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carmine Granucci 2003-07-09 12:51:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I am running a compiled from source version of Samba, 2.2.8a on Red Hat 9 ,
kernel 2.4.20-18.9. The clients are running Win2k with SP3 and Office 2000. The
Samba server authenticates with a WinNT 4 domain controller. 

Samba is logging these errors:

[2003/07/09 12:22:18, 0] smbd/oplock_linux.c:linux_init_kernel_oplocks(287)
  Failed to setup RT_SIGNAL_LEASE handler

It seems to be causing a delay in the windows users openning files over the
Samba shares, especially with Microsoft Word and Excel.

Tooling with the samba.conf file doesn't seem to help (ie, turning on and off
oplocks, changing oplock break time, etc.). It would appear that Samba has an
issue with the way the Red Hat 9.0 kernel handles oplocks.




Version-Release number of selected component (if applicable):
compiled Samba 2.2.8a

How reproducible:
Always

Steps to Reproduce:
1. Compile Samba 2.2.8a
2. Copy my network infrastructure
3. Watch the log file
    

Additional info:

I don't know if this is a bug with either Samba or the Red Hat 9 kernel.
However, I suspect there might be something wrong with the Red Hat 9 kernel.
Comment 1 Philip Spencer 2003-09-26 11:59:15 EDT
This is the same issue as bug #88716 and the patch attached to that bug report
fixes the problem for us.

(We just ran into the problem yesterday when moving our samba server to RedHat
9, did our own fix by hardcoding different signal numbers, then today I found
that bug report which I missed when searching on the issue yesterday).

Not sure why someone from RedHat hasn't been by to mark this bug report as
"Resolved - duplicate of #88716"...
Comment 2 Bill Nottingham 2006-08-05 00:26:20 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 13:58:17 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.